Doomsday Engine - Feature #2247

Upgrade to new FMOD Low Level Programmer API
2017-05-01 12:16 - skyjake

Status: Closed Start date: 2017-05-01
Priority: Normal % Done: 100%
Assignee: skyjake

Category: 3rd party compatibility

Target version: 2.1 (Late 2018)

Description

FMOD Ex is no longer in development. It has been replaced with the new FMOD Studio low-level programmer API, which lacks some
features of FMOD Ex but is also more flexible in other ways. Since it looks like the FMOD Ex SDK is no longer available, the FMOD
audio plugin should be updated to use the latest APlIs.

Associated revisions

Revision a75939d3 - 2017-05-01 16:27 - skyjake
Audio|FMOD: Updated FMOD plugin to use FMOD Studio low-level API

IssuelD #2247
Revision cc89d6a9 - 2018-11-15 20:15 - skyjake
Audio: Selecting the FMOD output driver

The low-level API allows selecting which of the available audio outputs is used. The output also implicitly determines which speaker mode setting is
used.

IssuelD #2247

History

#1 - 2017-05-01 13:41 - skyjake

- Description updated

#2 - 2017-05-01 16:25 - skyjake
- Status changed from New to In Progress

- % Done changed from 0 to 70

Output driver selection and speaker mode options are still missing.

#3 - 2018-10-27 15:57 - skyjake
- % Done changed from 70 to 80

#4 - 2018-11-06 09:24 - skyjake

- Status changed from In Progress to Progressed

#5 - 2018-11-18 07:42 - skyjake
- Status changed from Progressed to Resolved

- % Done changed from 80 to 100

#6 - 2018-11-18 08:05 - skyjake

- Status changed from Resolved to Closed
